Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.progress.swing
Class JobsViewPane.JobData

    java.lang.Object
      org.crosswire.common.progress.swing.JobsViewPane.JobData

Enclosing class:
  JobsViewPane

    private static class JobsViewPane.JobData

extends Object

A simple struct to group information about a Job

Field Summary
`private JButton` | `cancel`
`private int` | `index`
`private Job` | `job`
`private JLabel` | `label`
`private JProgressBar` | `progress`

Constructor Summary
`JobsViewPane.JobData(Job job, int index, JLabel label, JProgressBar progress, JButton cancel)` Simple ctor

Method Summary
`(package private) JButton` | `getCancel()` Accessor for the cancel button
`(package private) int` | `getIndex()` Accessor for the index in the list of jobs
`(package private) Job` | `getJob()` Accessor for the job
`(package private) JLabel` | `getLabel()` Accessor for the label for this job
`(package private) JProgressBar` | `getProgress()` Accessor for the gui progress component
`(package private) void` | `invalidate()` Make sure we can't be used any more

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### job

    private Job job

### label

    private JLabel label

### progress

    private JProgressBar progress

### cancel

    private JButton cancel

### index

    private int index

Constructor Detail

### JobsViewPane.JobData

    public JobsViewPane.JobData(Job job,
                                int index,
                                JLabel label,
                                JProgressBar progress,
                                JButton cancel)

  Simple ctor

Method Detail

### invalidate

    void invalidate()

  Make sure we can't be used any more

### getJob

    Job getJob()

  Accessor for the job

### getLabel

    JLabel getLabel()

  Accessor for the label for this job

### getProgress

    JProgressBar getProgress()

  Accessor for the gui progress component

### getCancel

    JButton getCancel()

  Accessor for the cancel button

### getIndex

    int getIndex()

  Accessor for the index in the list of jobs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD